# Interface methods for submodule: BinaryPruningImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinaryPruningImageFilter
class BinaryPruningImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetPruning(self):
		""""""
		...

	def SetIteration(self, _arg: int) -> None:
		""""""
		...

	def GetIteration(self) -> int:
		""""""
		...

